#include <stdio.h>
#include "cdll.h"

int main () { 
  printf ("dll_int_square (3) = %d\n", dll_int_square (3));
  printf ("dll_float_square (3.0) = %f\n", dll_float_square (3.0));
  printf ("dll_double_square (3.0) = %f\n", dll_double_square (3.0));
  printf ("Global integer variable: Should be 99\n");
  printf ("  directly                  : %d\n", dll_global_int_var);
  printf ("  via DLL accessor function : %d\n", dll_get_global_int_var ());
  printf ("Global integer variable: Setting value to -31 directly\n");
  dll_global_int_var = -31;
  printf ("Global integer variable:\n");
  printf ("  directly                  : %d\n", dll_global_int_var);
  printf ("  via DLL accessor function : %d\n", dll_get_global_int_var ());
  printf ("Global integer variable: Setting value to 27 in-directly\n");
  dll_set_global_int_var (27);
  printf ("Global integer variable:\n");
  printf ("  directly                  : %d\n", dll_global_int_var);
  printf ("  via DLL accessor function : %d\n", dll_get_global_int_var ());
  return 0;
}

